BMapCom.Controller.create(function() {

    window.INPUT_VCODE = false;
    window.templateType = 'wanda_movie_booking';

    var $ = function(q) {
        return document.getElementById(q);
    };

    (function (){
        var sendMo = {
            modataCheck : function(){

                var sourceDelegate = {
                    search: function() {
                        var self = this;

                        var url = "http://map.baidu.com/maps/services/captcha?cb=sendMo.getImg&t=" + new Date().getTime();

                        return BMapCom.Loader.jsonp(url)
                            .ok(function(result) {
                                self.onSourceLoadFinish(result.data);
                            })
                            .error(function() {
                                self.onSourceLoadFailed();
                            });

                    }
                };
                var source = new BMapCom.DataSource();
                //绑定数据对象代理
                source
                    .delegate(sourceDelegate)
                    .delegate({
                        onSourceLoadFinish: function(result) {
                            window.vcode = result.content.vcode;
                            $("imgCheck").src = "http://map.baidu.com/maps/services/captcha/image?vcode=" + vcode;
                        },
                        startSourceLoad: function(uid) {
                            this.search();
                        }
                    });
                source.update();

            },

            /*getImg : function(data){
                window.vcode = data.content.vcode;
                $("imgCheck").src = "http://map.baidu.com/maps/services/captcha/image?vcode=" + vcode;
            },*/

            getTel: function(){
                if(localStorage.getItem("movie_tel")){
                   $("phone_code").value = localStorage.getItem("movie_tel");
                }
                return $("phone_code").value;
            },

            sendmoC : function(url,from){
                var phoneCode = encodeURIComponent($("phone_code").value);
                if (sendMo.isEmpty(phoneCode)) {
                    sendMo.showTipMsg_Tel('请输入手机号码！');
                    return;
                } 
                if (!sendMo.isMobilePhone(phoneCode)) {
                 sendMo.showTipMsg_Tel('请输入正确的手机号码！');
                 return;
                }
                sendMo.showTipMsg_Tel('');
                if(localStorage.getItem("movie_tel") && localStorage.getItem("movie_tel") == $("phone_code").value){   //如果手机号 等于本地存储
                   goWanda(url,from);
                   window.INPUT_VCODE = false;
                }else{
                    if($('movie_input_vcode')){
                        $('movie_input_vcode').style.display = 'block';
                        $('showTipMsg').style.display = 'block';
                        if($('mo_input').value.length != 0){
                            $('showTipMsg').innerHTML = '验证码错误或失败，请重新输入！';
                        }else{
                            $('showTipMsg').innerHTML = '请输入验证码！';
                        }
                    }
                }
                

                if(!!window.INPUT_VCODE && $('mo_input').value.length == 4){
                   goWanda(url,from);
                   sendMo.modataCheck();//刷新验证码
                }
                
            },

            sendVcode : function(url){ //检测验证码合法性
                sendMo.sendVcode.url = url;
                var mo_inputV = encodeURIComponent($("mo_input").value);
                if (sendMo.isEmpty(mo_inputV)) {
                    sendMo.showTipMsg('请输入验证码！');
                    return;
                }
                
                window.INPUT_VCODE = false;

                var sourceDelegate = {
                    search: function() {
                        var self = this;

                        var url = "http://map.baidu.com/maps/services/captcha/verify?code=" + mo_inputV + "&vcode=" + window.vcode + "&cb=sendMo.checkVcode";

                        return BMapCom.Loader.jsonp(url)
                            .ok(function(result) {
                                self.onSourceLoadFinish(result.data.result);
                            })
                            .error(function() {
                                self.onSourceLoadFailed();
                            });

                    }
                };
                var source = new BMapCom.DataSource();
                //绑定数据对象代理
                source
                    .delegate(sourceDelegate)
                    .delegate({
                        onSourceLoadFinish: function(result) {
 
                            if(result && result.error != 0){
                                sendMo.showTipMsg('验证码错误或失败，请重新输入！');
                                return;
                            }

                            window.INPUT_VCODE = true;

                            sendMo.showTipMsg('输入正确!');
                        },
                        startSourceLoad: function(uid) {
                            this.search();
                        }
                    });
                source.update();
            },

            /*checkVcode : function(data){

                if(data.result && data.result.error != 0){
                    sendMo.showTipMsg('验证码错误或失败，请重新输入！');
                    return;
                }

                window.INPUT_VCODE = true;

                sendMo.showTipMsg('输入正确!');
            },*/

            showTipMsg : function(txt){
                $("showTipMsg").innerHTML = txt; 
            },

            showTipMsg_Tel : function(txt){
                $("showTipMsg_Tel").innerHTML = txt; 
            },

              /**
            * 验证手机号合法性
            * @param {String} s 手机号码
            */
            isMobilePhone: function(s) {
                return /^\d{11}/.test(s);
            },
            /**
            * 验证内容参数是否为空
            * @param {String} s 字符内容
            */
            isEmpty: function(s) {
                return !/./.test(s);
            },
            /**
            * 验证码校验
            * @param {String} s 字符内容
            */
            isVCode: function(s) {
                return /^[a-zA-Z0-9]{4}$/.test(s);
            }
        }

        window.sendMo = sendMo;
    })();

    function getfocus(id){
        $(id).focus();
    }

    function goWanda(url,from){
        if(!url){
            return;
        }
        var tel = $("phone_code").value;
        localStorage.setItem("movie_tel", tel);
        sendMo.showTipMsg('');
        sendMo.showTipMsg_Tel('');
        url += "&user_mobile=" + encodeURIComponent($("phone_code").value) + "&t=" + new Date().getTime();   
        movieOpenLink(url,from);
        $('movie_input_vcode').style.display = 'none';
        $('showTipMsg').style.display = 'none';
        $('mo_input').value = '';

        window.INPUT_VCODE = false;
    }

    function movieOpenLink(url,from){
        var isAndroid = BMapCom.util.platform.isAndroid();
        if (isAndroid) {
            var requestParam = {
                "category": "mainmap",
                "method": BMapCom.ComRequestMethod.DISPATCH,
                "param": {
                    "target": "web_shell_page",
                    "base_params": {
                        'webview_url': url,
                        'webshell_is_share_show': false
                    }
                }
            };

            BMapCom.Kernel.notify('request', requestParam);
        }else {
            var entranceParam = {
                "page": "defaultWebViewPage",
                "pageParam": {
                    "url": url
                }
            }
            BMapCom.Kernel.notify('changePage', entranceParam);
        }

        BMapCom.Stat.sendOnline({
            "da_src": "PoiDetailPG.oderfileBtBt",
            "da_par": from,
            "da_trd": "movie",
            "da_model": "plugin_movie" 
        });
    }

    function OnInput (event) {
       if(event.target.value.length == 4){
             sendMo.showTipMsg('验证中...');
             sendMo.sendVcode();
        }else{
             sendMo.showTipMsg(''); 
        }
    }

    function chearValue(id){
        $(id).value = '';
        getfocus(id)
    }

    function bindEvent(url,from){
        var evt = new BMapCom.EventDelegater(document.querySelector('.movieLayer'));
        evt.on('chearValue:tap', function(e) {
            chearValue('phone_code');
        });
        evt.on('inputBox:tap', function(e) {
            getfocus('phone_code');
        });
        evt.on('movievcode:tap', function(e) {
            getfocus('mo_input');
        });
        $('mo_input').oninput = OnInput;
        // evt.on('vcodeBox:input', function(e) {
        //     OnInput(e);
        // });
        evt.on('modataCheck:tap', function(e) {
            sendMo.modataCheck();
        });
        evt.on('goWandaUrl:tap', function(e) {
            sendMo.sendmoC(url,from);
            return false;
        });
    }

    return {
        initWithPage:function(page, templates){
            page.delegate({

                onCreate:function(pageParam){

                    if(!pageParam.uid) {
                        return;
                    }

                    var  mUrl = "&uid=" + pageParam.uid
                            + "&bduss=" + (pageParam.bduss || "")
                            + "&third_from=" + pageParam.third_from
                            + "&seq_no=" + pageParam.seq_no
                            + "&cinema_id=" + pageParam.cinema_id 
                            + "&date=" + pageParam.date 
                            + "&movie_id=" + pageParam.movie_id,
                    movieUrl = 'http://map.baidu.com/detail?qt=movie&act=select&sfrom=map&from=webview&wallet_sdk=1' + mUrl;

                    var validates = {
                        "wanda": 1
                    };

                    var data = {
                        url: movieUrl,
                        display: localStorage.getItem("movie_tel") ? "display:none" : "display:block"
                    };
                    
                    page.append(templates.body(data));
                    bindEvent(movieUrl,pageParam.third_from);
                    BMapCom.Kernel.notify('webPageReady');

                    //pvuv统计
                    BMapCom.Stat.sendOnline({'da_src':'wmshopDetailPG'});

                    sendMo.modataCheck();   //刷新验证码
                    sendMo.getTel();   //获取本地存储手机号码
 
                }
            });
     
        }
    }
});
