BMapCom.Template.create("./plugin/SaleView/SaleViewTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,hasGroup=$data.hasGroup,i=$data.i,clen=$data.clen,groupon=$data.groupon,item=$data.item,$escape=$helpers.$escape,hasFav=$data.hasFav,width=$data.width,favorableTitle=$data.favorableTitle,favorable_num=$data.favorable_num,$out='';$out+='<div class="sale-container">\n        ';
 if(hasGroup) {
$out+='\n            ';
 for (var i=0, clen=groupon.length; i<clen; i++) {
$out+='\n                ';
var item = groupon[i];
$out+='\n                ';
if(i == 0){
$out+='\n                    <div class="sale-item"  data-ek="groupon" data-value="';
$out+=$escape(item.groupon_id);
$out+='">\n                ';
}else{
$out+='\n                    <div class="sale-item hide" data-hide="hide" data-ek="groupon" data-value="';
$out+=$escape(item.groupon_id);
$out+='">\n                ';
}
$out+='\n                        <div class="groupon-icon">\n                            <div class="sale-text">\n                                ';
$out+=$escape(item.groupon_title);
$out+='\n                            </div>\n                        </div>\n                        <div class="sale-num">\n                            <span class="now-price">\n                                <span class="now-price-icon">&yen;</span>\n                                <span class="now-price-num">\n                                    ';
$out+=$escape(item.groupon_price/100);
$out+='\n                                </span>\n                            </span>\n                            <span class="regular-price">\n                                &yen;\n                                <span class="now-price-num">\n                                    ';
$out+=$escape(item.regular_price/100);
$out+='\n                                </span>\n                            </span>\n                        </div>\n                    </div>\n            ';
}
$out+='\n            ';
if (groupon.length > 1) {
$out+='\n                <div class="moreGroupon" data-tag="0" data-ek="moregroupon">\n                    <span class="moreGroupon-text" data-grounnum="';
$out+=$escape(groupon.length-1);
$out+='">更多';
$out+=$escape((groupon.length-1));
$out+='个团购</span>\n                    <span class="moreGroupon-icon"></span>\n                </div>\n            ';
}
$out+='\n        ';
}
$out+='\n        ';
 if(hasGroup && hasFav){
$out+='\n            <div class="sale-v-line"></div>\n        ';
}
$out+='\n        ';
 if(hasFav) {
$out+='\n           <!--  <div class="sale-item" style="width:';
$out+=$escape(width);
$out+=';" data-ek="favorable">\n                <div class="favorable-icon sale-text">';
$out+=$escape(favorableTitle);
$out+='</div>\n                <div class="sale-num">';
$out+=$escape(favorable_num);
$out+='</div>\n                <div class="sale-right-arrow base-right-arrow"></div> \n            </div>\n            <div class="moreGroupon" data-ek="favorable">\n                <span class="moreGroupon-text">更多';
$out+=$escape(favorable_num);
$out+='团购</span>\n                <span class="moreGroupon-icon"></span>\n            </div>-->\n        ';
}
$out+=' \n        \n    </div>';
return new String($out);
}});
BMapCom.Plugin.define(function(PluginBuilder) {

    var plg = PluginBuilder.create({
        hasTemplate: true,
        hasCSS: true
    });
    plg.delegate({
        onInstantiate: function(grouponData, context) {
            var dispatcher = new BMapCom.EventDispatcher();
            var vm = {};

            var hasGroup = vm.hasGroup = grouponData.groupon ? true : false;

            if (!hasGroup) {
                return dispatcher;
            }

            var self = this;
            vm.width = '100%';
            if (hasGroup) {
                vm.width = '49%';
            }
            var grouponEver = grouponData.groupon,
                grouponTp = [], //可以选座的
                grouponUtp = []; //不可选座的
            for (var i = grouponEver.length - 1; i >= 0; i--) {
                if (grouponEver[i].tp && grouponEver[i].tp == "1") {
                    grouponTp.push(grouponEver[i]);
                } else {
                    grouponUtp.push(grouponEver[i]);
                }
            };
            //对价格排序
            if (grouponUtp.length > 1) {
                grouponUtp.sort(function(a, b) {
                    return b.groupon_price - a.groupon_price;
                });
            };
            grouponEver = grouponTp.concat(grouponUtp);
            if (hasGroup) {
                var showgroupon = grouponEver.slice(0, 100);
                vm.groupon = showgroupon;
                vm.groupon_num = grouponData.total;
            }
            context.innerHTML = this.template.body(vm);

            var evt = new BMapCom.EventDelegater(context);
            evt.on('groupon:tap', function(e) {
                dispatcher.fire('grouponClick', [this.getAttribute('data-value')]);
            });
            evt.on('moregroupon:tap', function(e) {
                dispatcher.fire('moregrouponClick');
            });
            // evt.on('favorable:tap', function(e){
            //     dispatcher.fire('favorableClick', [{data: grouponData.favorable, uid:grouponData.uid}]);
            // });

            return dispatcher;

        }
    });

    return plg;
});