BMapCom.Template.create("movieScheduleTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$out='';$out+='<link rel="stylesheet" type="text/css" href="style/movieSchedulePage.css">\n    <div id=\'fs-container\'>\n        <div id="fs-search">\n            <div class="search-wrapper">\n                <form class="search-iptwrapper" type="search">\n                    <span class="search-icon"></span>\n                    <input class="search-ipt" placeholder="搜索影院名称/地址/商圈" />\n                    <div class="search-del"></div>\n                </form>\n                <button class="search-btn">搜索</button>\n            </div>\n        </div>\n        <div id="fs-schedule">\n            <div class="sche-wrapper">\n                <div class="sche-hd">\n                    <span class="title-icon"></span>\n                    <h4 class="sche-title">附近影院</h4>\n                    <a class="sche-act"></a>\n                </div>\n                <ul class="list-info">\n                </ul>\n                <div class="load-more" data-ek="loadMore" style="display: none;">\n                    <span class="load-icon"></span>\n                    <span class="load-text">加载更多</span>\n                </div>\n            </div>\n        </div>\n        <div id="fs-service">\n            <div class="service-wrapper">\n                <a class="service-order" href="javascript:void(0)" data-ek="gotoOrder">\n                    <span class="order-icon"></span>\n                    <span class="service-text">订单中心</span>\n                </a>\n                <a class="service-tel" href="javascript:void(0)" data-ek="gotoTel" data-value="4006-099-866">\n                    <span class="tel-icon"></span>\n                    <span class="service-text">客服电话</span>\n                </a>\n            </div>\n        </div>\n    </div>';
return new String($out);
},
loading:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$out='';$out+='<li class="list-loading">\n        <span class="load-icon"></span>\n        <span class="load-text">正在加载影院信息...</span>\n    </li>';
return new String($out);
},
schedule:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,noData=$data.noData,$escape=$helpers.$escape,tipText=$data.tipText,count=$data.count,i=$data.i,clen=$data.clen,content=$data.content,cinemaItem=$data.cinemaItem,detailInfo=$data.detailInfo,timetable=$data.timetable,hasPreAct=$data.hasPreAct,hasVipAct=$data.hasVipAct,isFrequent=$data.isFrequent,j=$data.j,slen=$data.slen,$out='';if (noData){
$out+='\n        <li class="no-data">';
$out+=$escape(tipText);
$out+='</li>\n    ';
}else {
$out+='\n        ';
 var count = 0;
$out+='\n        ';
 for (var i=0, clen=content.length; i<clen; i++) {
$out+='\n            ';
 var cinemaItem = content[i];
$out+='\n            ';
 if(cinemaItem.ext && cinemaItem.ext.detail_info ){ 
$out+='\n                ';
 var detailInfo = cinemaItem.ext.detail_info;
$out+='\n                ';
 var timetable = detailInfo.timetable;
$out+='\n                ';
 var hasPreAct = detailInfo.pre_act && detailInfo.pre_act[0];
$out+='\n                ';
 var hasVipAct = detailInfo.flag_on_left;
$out+='\n                ';
 var isFrequent = (cinemaItem.suggest_explain == 1) && !hasPreAct;
$out+='\n\n                ';
 if(detailInfo.book_info && timetable && timetable.length>0 && detailInfo.movie_min_price > 0){ 
$out+='\n                    ';
 var count = 1;
$out+='\n                    <li>\n                        <div class="vip-cinema" style="display: ';
if(hasVipAct == "1"){
$out+='block;';
}else{
$out+='none;';
}
$out+='"></div>\n                        <div class="list-wrapper" data-ek="getSchedule" data-uid="';
$out+=$escape(cinemaItem['uid']);
$out+='" ';
 if (isFrequent) {
$out+='data-frequent="true"';
}
$out+='>\n                            <div class="cinema-tit">\n                                <div class="tit-wrapper">\n                                    <span class="cinema-name text-ellipsis';
if (isFrequent || hasPreAct){
$out+=' act-len';
}
$out+='">';
$out+=$escape(cinemaItem['name']);
$out+='</span>\n                                    ';
if (hasPreAct){
$out+='\n                                        <span class="act-tag">';
$out+=$escape(cinemaItem.pre_act[0].text);
$out+='</span>\n                                    ';
}
$out+='\n                                    ';
 if (isFrequent) {
$out+='\n                                        <span class="cinema-tag">我常去</span>\n                                    ';
}
$out+='\n                                </div>\n                                <p class="tit-price">\n                                    <span class="sche-price">';
$out+=$escape(cinemaItem.ext.detail_info.movie_min_price);
$out+='</span>\n                                    <span class="sche-ptext">起</span>\n                                </p>\n                            </div>\n                            <div class="cinema-addr">\n                                <p class="addr-name text-ellipsis">';
$out+=$escape(cinemaItem['address']);
$out+='</p>\n                                ';
if (cinemaItem['dis_text']){
$out+='\n                                    <p class="addr-dis">';
$out+=$escape(cinemaItem['dis_text']);
$out+='</p>\n                                ';
}
$out+='\n                            </div>\n\n                            <!--  最近场次 start-->\n                           <div class="recentflimTime">\n                                ';
if (timetable) {
$out+='\n                                    <span>最近场次</span>\n                                   ';
 for (var j=0, slen=timetable.length; j<slen; j++) {
$out+='\n                                        ';
if (j == 0){
$out+='\n                                            <span class="recentflim-time">';
$out+=$escape( timetable[j]);
$out+='</span>\n                                        ';
} else if(j <= 2){
$out+='\n                                            <div class="recentflim-divi">|</div>\n                                            ';
if(timetable[j] <= timetable[j-1]){
$out+='\n                                                <span class="recentflim-time">明天';
$out+=$escape( timetable[j]);
$out+='</span>\n                                            ';
}else{
$out+='\n                                                <span class="recentflim-time">';
$out+=$escape( timetable[j]);
$out+='</span>\n                                            ';
}
$out+='\n\n                                        ';
}
$out+='\n                                   ';
}
$out+='\n                                ';
}
$out+='\n                            </div>\n                            <!-- end -->\n\n                            <div class="cinema-arrow arrow-down">\n                                <span></span>\n                            </div>\n                        </div>\n                        <div class="list-timetable" style="display: none;"></div>\n                    </li>\n                ';
}
$out+='\n            ';
}
$out+='\n        ';
}
$out+='\n        ';
if (count === 0 ){
$out+='\n            <li class="no-data">';
$out+=$escape(tipText);
$out+='</li>\n        ';
}
$out+='\n    ';
}
return new String($out);
},
timetable:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,noData=$data.noData,$escape=$helpers.$escape,tipText=$data.tipText,i=$data.i,tlen=$data.tlen,time_table=$data.time_table,filmSchedule=$data.filmSchedule,time_obj=$data.time_obj,uid=$data.uid,j=$data.j,flen=$data.flen,item=$data.item,itemPrice=$data.itemPrice,webview_style=$data.webview_style,$out='';$out+='<div class="list-trangle"></div>\n    ';
if (noData){
$out+='\n        <div class="no-data">';
$out+=$escape(tipText);
$out+='</div>\n    ';
} else {
$out+='\n        <dl class="mb-schelist">\n            ';
 for (var i = 0, tlen = time_table.length; i<tlen; i++) { 
$out+='\n            ';
 var filmSchedule = time_table[i]; 
$out+='\n                <dt class="mb-sche-day">\n                    <p class="mb-sche-date">\n                        <span>';
$out+=$escape(time_obj[i].label);
$out+='</span>\n                        <span>';
$out+=$escape(time_obj[i].month);
$out+='月';
$out+=$escape(time_obj[i].day);
$out+='日</span>\n\n                        <!--查看影院详情 BY shdong -start -->\n                        ';
if (i == 0) {
$out+='\n                            <span class="mb-cinema-detail">\n                            <a data-cinemaid="';
$out+=$escape(uid);
$out+='" data-movieid="';
$out+=$escape(filmSchedule[0].movie_id);
$out+='" href="javascript:void(0);" class="mb-cinema-detail-link" data-ek="cinemaDetail">\n                                <small>查看影院详情</small>›\n                            </a>\n                        </span>\n                        ';
}
$out+='\n                        <!-- -end -->\n\n                    </p>\n                </dt>\n                <dd class="mb-sche-list">\n                    <ul>\n                        ';
 for (var j = 0, flen = filmSchedule.length; j < flen; j++) { 
$out+='\n                            ';
 var item = filmSchedule[j];
$out+='\n                            ';
 var itemPrice = filmSchedule[j].src_info[0];
$out+='\n                            <li class="list-item" data-uid="';
$out+=$escape(uid);
$out+='">\n                                <div class="sche-time">\n                                    <p class="sche-time-start">';
$out+=$escape(item.time);
$out+='</p>\n                                    <p class="sche-time-end">';
$out+=$escape(item.end);
$out+='结束</p>\n                                </div>\n                                <div class="sche-type text-ellipsis">';
$out+=$escape(itemPrice.lan);
$out+=$escape(itemPrice.type);
$out+='</div>\n                                ';
if (itemPrice.price){
$out+='\n                                    <div class="sche-price">\n                                        <p class="price-tag">';
$out+=$escape(itemPrice.price);
$out+='</p>\n                                        ';
if (itemPrice.pre_act && itemPrice.pre_act[0]){
$out+='\n                                            <p class="act-tag">';
$out+=$escape(itemPrice.pre_act[0].text);
$out+='</p></div>\n                                        ';
}
$out+='\n                                    </div>\n                                ';
}else{
$out+='\n                                    <div class="sche-price-none">-</div>\n                                ';
}
$out+='\n                                ';
if (webview_style == 1){
$out+='\n                                    <a class="sche-bookbtn" href="javascript:void(0);" data-uid="';
$out+=$escape(uid);
$out+='" data-url="';
$out+=$escape(item.book_url);
$out+='" data-from="';
$out+=$escape(itemPrice.src);
$out+='" data-ek=\'movieBookBtn\' ';
if (item.is_frequent){
$out+='data-frequent="true"';
}
$out+='>选座订票</a>\n                                ';
}
$out+='\n                            </li>\n                        ';
}
$out+='\n                    </ul>\n                </dd>\n            ';
}
$out+='\n        </dl>\n    ';
}
return new String($out);
}});