/**
 * websdk核心加载完成后，由此渲染页面之前路由分发
 * @param {obj} entranceParam 线上:NA沙盒传参&&测试:此参数由autorun模拟NA沙盒传递。
 * @author zhoumeimei&dongshihao
 **/
BMapCom.AppCore.ready(function(entranceParam) {

    BMapCom.config('templateHtmlMode', false); //模式开关（开发测试使用模板模式，线上使用JS模式）
    BMapCom.config('isMonkeyTest', false); //测试开关（开关打开，与NA通信将会中断，一般为false。）

    //入口协议解析
    if (entranceParam && entranceParam.page) {
        switch (entranceParam.page) {
            case 'cinemaDetailPage':
                var pageParam = entranceParam.pageParam;
                if (pageParam && pageParam.uid) {
                    //可传字段:pageParam.option.index
                    BMapCom.AppCore.changePage('cinemaDetailPage', pageParam);
                } else {
                    alert('详情页入口参数错误');
                }
                break;
            case 'movieSchedulePage':
                var pageParam = entranceParam.pageParam;
                if (pageParam && pageParam.movie_id) {
                    BMapCom.AppCore.changePage('movieSchedulePage', pageParam);
                } else {
                    alert('影片页验证入口参数错误');
                }
                break;
            case 'activityListPage':
                BMapCom.AppCore.changePage('activityListPage', pageParam);
                break;
            case 'movieTicketPage':
                var pageParam = entranceParam.pageParam;
                if (pageParam && pageParam.uid) {
                    BMapCom.AppCore.changePage('movieTicketPage', pageParam);
                } else {
                    alert('影片页购票页入口参数错误');
                }
                break;
            case 'moreCommentPage':
                var pageParam = entranceParam.pageParam;
                if (pageParam && pageParam.uid && pageParam.poiName) {
                    BMapCom.AppCore.changePage('moreCommentPage', pageParam);
                } else {
                    alert('更多评论页入口参数错误');
                }
                break;
            case 'movieValidatePage':
                var pageParam = entranceParam.pageParam;
                if (pageParam && pageParam.uid) {
                    BMapCom.AppCore.changePage('movieValidatePage', pageParam);
                } else {
                    alert('手机验证入口参数错误');
                }
                break;
            default:
                alert('未指定页面');
        }
    }
});