BMapCom.Template.create("./plugin/MovieBookView/MovieBookViewTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$out='';$out+='<div class="mb-wrapper">\n        <h3 class="mb-tit">\n            <span class="mb-tit-icon"></span>\n            <span class="mb-tit-text mb-tit-style">正在热映</span>\n            <a class="mb-act"></a>\n        </h3>\n        <div id="mb-img-container" class="mb-img-wrapper"></div>\n        <div id="mb-sche-container" class="mb-sche-wrapper"></div>\n    </div>';
return new String($out);
},
img:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,i=$data.i,len=$data.len,data=$data.data,$escape=$helpers.$escape,$out='';$out+='<div class="mb-scroller">\n        <ul class="mb-imagelist" data-ek="filmSelect">\n            ';
for (var i=0, len=data.length; i<len; i++){
$out+='\n                <li data-movieid="';
$out+=$escape(data[i]['movie_id']);
$out+='" data-index="';
$out+=$escape(i);
$out+='">\n                    <img src="';
$out+=$escape(data[i]['movie_picture']);
$out+='" data-movieid="';
$out+=$escape(data[i]['movie_id']);
$out+='" data-index="';
$out+=$escape(i);
$out+='"/>\n                    ';
if (data[i]['is_new'] == "1"){
$out+='\n                        <div class="new-tag"></div>\n                    ';
}
$out+='\n                </li>\n            ';
}
$out+='\n        </ul>\n    </div>';
return new String($out);
},
text:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$escape=$helpers.$escape,filmInfo=$data.filmInfo,index=$data.index,day=$data.day,filmSchedule=$data.filmSchedule,listIndex=$data.listIndex,i=$data.i,item=$data.item,itemPrice=$data.itemPrice,$out='';$out+='<div class="mb-filminfo">\n        <h4>\n            <span class="mb-name mb-tit-style text-ellipsis">';
$out+=$escape(filmInfo['movie_name']);
$out+='</span>\n            ';
if (filmInfo['score_int']){
$out+='\n                <span class="mb-score">';
$out+=$escape(filmInfo['score_int']);
$out+='.';
$out+=$escape(filmInfo['score_decimal']);
$out+='</span>\n            ';
}
$out+='\n        </h4>\n        <a class="mb-film-more" href="javascript:void(0);" data-ek="filmMore" data-movieid="';
$out+=$escape(filmInfo['movie_id']);
$out+='" data-moviename="';
$out+=$escape(filmInfo['movie_name']);
$out+='">\n            查看详情\n        </a>\n    </div>\n    <div class="mb-scheinfo">\n        <div class="mb-sche-daywrapper">\n            <ul class="mb-sche-day">\n                ';
var index = 0;
$out+='\n                ';
 for(var day in filmSchedule) {
$out+='\n                    ';
if (filmSchedule.hasOwnProperty(day)){
$out+='\n                        <li ';
if (index === 0){
$out+='class="active"';
}
$out+=' data-index="';
$out+=$escape(index++);
$out+='" data-ek="scheDaySwitch">\n                            <span>';
$out+=$escape(filmSchedule[day][0].time_obj.label);
$out+='</span>\n                            <span class="sche-date">';
$out+=$escape(filmSchedule[day][0].time_obj.month);
$out+='月';
$out+=$escape(filmSchedule[day][0].time_obj.day);
$out+='日</span>\n                        </li>\n                    ';
}
$out+='\n                ';
}
$out+='\n            </ul>\n        </div>\n        <div class="mb-sche-list">\n            ';
var listIndex = 0;
$out+='\n            ';
 for(var day in filmSchedule) {
$out+='\n                ';
if (filmSchedule.hasOwnProperty(day)){
$out+='\n                    <ul ';
if (listIndex++ === 0){
$out+='class="active"';
}
$out+='>\n                        ';
 for (var i = 0; i < filmSchedule[day].length; i++) { 
$out+='\n                        ';
var item = filmSchedule[day][i];
$out+='\n                        ';
var itemPrice = filmSchedule[day][i].src_info[0];
$out+='\n                        <li class="list-item">\n                            <div class="sche-time">\n                                <p class="sche-time-start">';
$out+=$escape(item.time);
$out+='</p>\n                                <p class="sche-time-end">';
$out+=$escape(item.end);
$out+='结束</p>\n                            </div>\n                            <div class="sche-type text-ellipsis">';
$out+=$escape(itemPrice.lan);
$out+=$escape(itemPrice.type);
$out+='</div>\n                            ';
if (itemPrice.price){
$out+='\n                            <div class="sche-price">\n                                <p class="price-tag">';
$out+=$escape(itemPrice.price);
$out+='</p>\n                                ';
if (itemPrice.pre_act && itemPrice.pre_act[0]){
$out+='\n                                <p class="act-tag">';
$out+=$escape(itemPrice.pre_act[0].text);
$out+='</p>\n                                ';
}
$out+='\n                            </div>\n                            ';
}else{
$out+='\n                            <div class="sche-price-none">-</div>\n                            ';
}
$out+='\n                            ';
if (item.view_style == 1){
$out+='\n                            <a class="sche-bookbtn" href="javascript:void(0);" data-url="';
$out+=$escape(item.book_url);
$out+='" data-from="';
$out+=$escape(itemPrice.src);
$out+='" data-ek=\'movieBookUrl\'>选座订票</a>\n                            ';
}
$out+='\n                        </li>\n                        ';
}
$out+='\n                    </ul>\n                ';
}
$out+='\n            ';
}
$out+='\n        </div>\n    </div>';
return new String($out);
}});
BMapCom.Plugin.define(function(PluginBuilder) {
    var isMonkeyTest = BMapCom.config('isMonkeyTest');

    var plg = PluginBuilder.create({
        hasTemplate: true,
        hasCSS: true
    });

    var $ = function(sel){
        return document.querySelector(sel);
    }

    function jsonToUrl (obj) {
        var strArr = [],
            key;

        for(key in obj) {
            if (obj.hasOwnProperty(key)) {
                strArr.push(key + '=' + obj[key]);
            }
        }

        return strArr.join('&');
    }

    var MovieBook = {
        domain: 'http://map.baidu.com',
        dianyingDomain: 'http://dianying.baidu.com',
        imgContainer: null,
        scheContainer: null,
        imgScroll: null,
        plugin: null,
        dateStrArr: [],
        clickflag: false,
        scrollflag: true,
        /**
         * 把日期维度的数据结构转化为影片维度的数据结构
         * @param movieData
         * @returns {{}}
         */
        dealScheduleData: function (movieData, pageParamNa) {
            var scheduleData = {},
                films = movieData.base,
                schedules = movieData.time_table,
                movieId,
                timeTempSche,
                score,
                scoreArr,
                bdMpStaData = "",
                ldata = pageParamNa.ldata?pageParamNa.ldata + "|":"",
                qid = pageParamNa.qid?pageParamNa.qid + "|":"";
            // 地图订单统计需求
            bdMpStaData = encodeURIComponent(ldata + qid + 'resid=01');
            
            if (films.length) {
                films.forEach(function(film) {
                    movieId = film.movie_id;
                    scheduleData[movieId] = {
                        filmInfo: {},
                        filmSchedule: {}
                    };
                    scheduleData[movieId]['filmInfo'] = film;
                    score = film.movie_score;
                    if (score) {
                        scoreArr = score.split('.');
                        scheduleData[movieId]['filmInfo']['score_int'] = scoreArr[0] || '0';
                        scheduleData[movieId]['filmInfo']['score_decimal'] = scoreArr[1] || '0';
                    }

                    schedules.forEach(function(sches) {
                        sches.forEach(function(timeSche) {
                            if (timeSche.movie_id == movieId) {
                                timeTempSche = scheduleData[movieId]['filmSchedule'][timeSche.date] || [];
                                timeSche.time_obj = MovieBook.parseDate(timeSche.date);
                                timeSche.book_url = MovieBook.domain + '/detail?qt=movie&act=select&from=webview' + '&seq_no=' + timeSche.src_info[0].seq_no  + '&cinema_id=' + timeSche.src_info[0].cinema_id + '&third_from=' + timeSche.src_info[0].src +
                                                '&date=' + timeSche.date + '&movie_id=' + timeSche.movie_id + '&sfrom=map&wallet_sdk=1' + 
                                                '&sub_channel=' + bdMpStaData;
                                timeSche.view_style = movieData.webview_style;
                                timeTempSche.push(timeSche);
                                scheduleData[movieId]['filmSchedule'][timeSche.date] = timeTempSche;
                            }
                        });

                    });
                });
            }

            return scheduleData;
        },
        selectFilm: function (data, pageIndex, flag) {
            var lastActiveElem = $('.mb-imagelist > li.active'),
                curActiveElem = $('.mb-imagelist > li:nth-child(' + (pageIndex + 1) + ')');

            // 添加当前active图片样式
            lastActiveElem && (lastActiveElem.className = '');
            curActiveElem.className = 'active';
            MovieBook.scheContainer.innerHTML = MovieBook.plugin.template.text(data);

            // 生成日期的滚动
            new BMapCom.iScroll($('.mb-sche-daywrapper'),{
                lockDirection: true,
                useTransform: true,
                momentum: false,
                hScroll: true,
                vScroll: false,
                hScrollbar: false,
                vScrollbar: false
            });

            if(flag == 1){
                MovieBook.clickflag = true;
            }else if(flag == 2){
                MovieBook.scrollflag = true;
                return;
            }

            // 填充比价区列表
            MovieBook.imgScroll.scrollToElement(curActiveElem);
        },
        getDefaultSelect: function(movie_id) {
            var liElems = document.querySelectorAll('.mb-imagelist li'),
                liElem;

            if (movie_id) {
                for (var i = 0, len = liElems.length; i < len; i++) {
                    if (movie_id == liElems[i].getAttribute('data-movieid')) {
                        liElem = liElems[i];
                        break;
                    }
                }
            }

            return liElem || liElems[0];
        },
        parseDate: function(dateStr) {
            var formatDate = {},
                newDate = new Date(Date.parse(dateStr.replace(/-/g, '/'))),
                dateStrArr = MovieBook.dateStrArr,
                weeks = ['周日','周一','周二','周三','周四','周五','周六'];

            formatDate.month = newDate.getMonth() + 1 ;
            formatDate.day = newDate.getDate();
            formatDate.label = weeks[newDate.getDay()];

            switch (dateStr) {
                case dateStrArr[0]:
                    formatDate.label = '今天';
                    break;
                case dateStrArr[1]:
                    formatDate.label = '明天';
                    break;
                case dateStrArr[2]:
                    formatDate.label = '后天';
                    break;
                default :
                    break;
            }

            return formatDate;
        },
        getTomorrowStr: function(dateStr) {
            var today = new Date(Date.parse(dateStr.replace(/-/g, '/'))),
                month,
                day;

            today.setDate(today.getDate() + 1);

            month = today.getMonth() + 1;
            month = month > 9 ? month : '0' + month;

            day = today.getDate();
            day = day > 9 ? day : '0' + day;

            return today.getFullYear() + '-' + month + '-' + day;
        },
        bindEvent: function() {
            var self = this,
                evtContainer = new BMapCom.EventDelegater($(".mb-wrapper"));

            evtContainer.on("movieBookUrl:tap", function(e){
                if (isMonkeyTest) {
                    return;
                }
                var bookUrl = e.target.getAttribute('data-url'),
                    from = e.target.getAttribute('data-from'),
                    isAndroid = BMapCom.util.platform.isAndroid(),
                    validates = {
                        'wanda': 1
                    },
                    splits;

                BMapCom.SysApi.getRuntimeInfo(BMapCom.SysApi.RUNTIME_INFO_TYPE.BDUSS, function(bduss) {
                    if (bduss) {
                        var fre_params = {
                            uid: self.param.uid,
                            key: bduss,
                            from: "webview",
                            sfrom: "map",
                            token: "d5323c6e3ad4eb25aabf776113d1ce1c",
                            action: "set"
                        },
                            requestImage = new Image();

                        requestImage.src = 'http://map.baidu.com/movie/info/lightapp/history?' + jsonToUrl(fre_params);
                    }
                });

                if(validates[from]){
                    splits = bookUrl.match(/seq_no=([^&]*)&cinema_id=([^&]*)&third_from=([^&]*)&date=([^&]*)&movie_id=([^&]*)/);

                    BMapCom.SysApi.getRuntimeInfo(BMapCom.SysApi.RUNTIME_INFO_TYPE.BDUSS, function(bduss) {
                        var entranceParam = {
                            "page": "movieValidatePage",
                            "pageParam": {
                                "uid": self.param.uid,
                                "bduss": bduss,
                                "seq_no": splits[1],
                                "cinema_id": splits[2],
                                "third_from": splits[3],
                                "date": splits[4],
                                "movie_id": splits[5],
                                "sfrom": 'map',
                                "from": 'webview'
                            }
                        };
                        BMapCom.Kernel.notify('changePage', entranceParam);
                    });
                }else{
                    // android需要调用基线的webview，走通调用钱包sdk流程
                    if (isAndroid) {
                        var requestParam = {
                            "category": "mainmap",
                            "method": BMapCom.ComRequestMethod.DISPATCH,
                            "param": {
                                "target": "web_shell_page",
                                "base_params": {
                                    'webview_url': bookUrl,
                                    'webshell_is_share_show': false
                                }
                            }
                        };

                        BMapCom.Kernel.notify('request', requestParam);
                    }else {
                        var entranceParam = {
                            "page": "defaultWebViewPage",
                            "pageParam": {
                                "url": bookUrl
                            }
                        }

                        BMapCom.Kernel.notify('changePage', entranceParam);
                    }
                }
                BMapCom.Stat.sendOnline({
                    "da_src": "poidetailpg.oderfilebtbt",
                    "da_par": from,
                    "da_trd": "movie",
                    "da_act": "click",
                    "da_model": "plugin_movie"
                });
            });

            evtContainer.on('filmMore:tap', function(e) {
                var requestParam = {
                    "category": "movie",
                    "method": BMapCom.ComRequestMethod.DISPATCH,
                    "param": {
                        "target": "movie_detail_page",
                        "base_params": {
                            "movie_id": e.target.getAttribute('data-movieid'),
                            "movie_name": e.target.getAttribute('data-moviename')
                        }
                    }
                };

                BMapCom.Stat.sendOnline({
                    "da_src": "poidetailpg.checkmoviedetail",
                    "da_trd": "movie",
                    "da_act": "click",
                    "da_model": "plugin_movie"
                });

                BMapCom.Kernel.notify('request', requestParam);
            });

            $('.mb-act').addEventListener('click', function() {
                var entranceParam = {
                    "page": "defaultWebViewPage",
                    "pageParam": {
                        "url": this.getAttribute('data-url')
                    }
                }

                BMapCom.Stat.sendOnline({
                    "da_src" : "selectcinemapg.bannerbt",
                    "da_trd" : "movie",
                    "da_model" : "plugin_movie",
                    "da_act": "click"
                });

                BMapCom.Kernel.notify('changePage', entranceParam);
            });

            function switchTab(elems, curElem) {
                for (var i = 0, len = elems.length; i < len; i++) {
                    elems[i].className = '';
                }

                curElem.className = 'active';
            }

            evtContainer.on('scheDaySwitch:tap', function(e) {
                var navs = document.querySelectorAll('.mb-sche-day li'),
                    conts = document.querySelectorAll('.mb-sche-list ul'),
                    index;

                index = this.getAttribute('data-index');
                if (index !== undefined) {
                    switchTab(navs, navs[index]);
                    switchTab(conts, conts[index]);
                }
            });
        },
        getActData: function() {
            return new BMapCom.Promise(function(resolve, reject) {
                var actDataSource = new BMapCom.DataSource(),
                    url = 'http://map.baidu.com/movie/info/api/adspace/?adkeys=APP_CINEMA_DETAIL_YUNYING&from=webview&sfrom=map';

                actDataSource
                    .delegate({
                        search: function() {
                            BMapCom.Loader.jsonp(url)
                                .ok(function(result) {
                                    actDataSource.onSourceLoadFinish(result.data);
                                });
                        }
                    })
                    .delegate({
                        onSourceLoadFinish: function(result) {
                            resolve(result);
                        },
                        startSourceLoad: function(opts) {
                            this.search(opts);
                        }
                    });

                actDataSource.update();
            });
        }
    }

    plg.delegate({
        onInstantiate: function(movie, context, param) {
            var self = this,
                todayStr = movie.now_time,
                tomrStr = MovieBook.getTomorrowStr(todayStr),
                afterTomrStr = MovieBook.getTomorrowStr(tomrStr),
                scheduleData,
                defElem;

            // 比价区基本结构
            $('#loadMovie').style.display = 'none';
            context.innerHTML = self.template.body();

            // 渲染影片图片区域
            MovieBook.plugin = self;
            MovieBook.param = param;
            MovieBook.dateStrArr.push(movie.now_time, tomrStr, afterTomrStr);
            MovieBook.imgContainer = context.querySelector('#mb-img-container');
            MovieBook.scheContainer = context.querySelector('#mb-sche-container');
            scheduleData = MovieBook.dealScheduleData(movie, param);

            MovieBook.imgContainer.innerHTML = self.template.img({
                data: movie.base
            });

            MovieBook.bindEvent();

            MovieBook.imgScroll = new BMapCom.iScroll(MovieBook.imgContainer,{
                lockDirection: true,
                useTransform: true,
                snap: 'li',
                momentum: false,
                hScroll: true,
                vScroll: false,
                hScrollbar: false,
                vScrollbar: false,
                onBeforeScrollStart: null,
                onScrollEnd: function(e){

                    if(MovieBook.clickflag){
                        MovieBook.clickflag = false;
                        return;
                    }
                    var eleImgs = $("#mb-img-container div ul").querySelectorAll("li"),
                        ele = eleImgs[MovieBook.imgScroll.currPageX];

                    var index = ele.getAttribute('data-index'),
                        movie_id = ele.getAttribute('data-movieid');
                    MovieBook.selectFilm(scheduleData[movie_id], parseInt(index), 2);
                }
            });

            MovieBook.getActData()
                .then(function(data) {
                    var adspace = data.adspace;
                    if (adspace && adspace.data && adspace.data[0] && !adspace.data[0].disable
                        && adspace.data[0].list && adspace.data[0].list[0]) {
                        $('.mb-act').innerHTML = adspace.data[0].list[0].text;
                        $('.mb-act').setAttribute('data-url', adspace.data[0].list[0].url);
                    }
                });

            $('.mb-imagelist').addEventListener('mouseup', function(e) {
                var imgElem = e.target,
                    movieId,
                    index;

                if (imgElem.tagName == 'IMG' || imgElem.tagName == 'LI') {

                    BMapCom.Stat.sendOnline({
                        "da_src":"poidetailpg.placard",
                        "da_act":"click",
                        "da_model":"plugin_movie",
                        "da_trd":"movie"
                    });

                    movieId = imgElem.getAttribute('data-movieid');
                    index = imgElem.getAttribute('data-index');
                    MovieBook.selectFilm(scheduleData[movieId], parseInt(index), 1);
                }
            });

            // 默认选中项
            defElem = MovieBook.getDefaultSelect(param.movie_id);
            defElem && MovieBook.selectFilm(scheduleData[defElem.getAttribute('data-movieid')],
                parseInt(defElem.getAttribute('data-index')), 1);
        }
    });

    return plg;
});