BMapCom.Template.create("filmTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$out='';$out+='<link rel="stylesheet" type="text/css" href="style/filmPage.css">\n    <div id="container" class="container">\n        <div id="film-info"></div>\n        <div id="film-intro"></div>\n        <div id="comBox"></div>\n        <div id="footer-space"></div>\n    </div>';
return new String($out);
},
filmInfoPanel:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$escape=$helpers.$escape,movie_score=$data.movie_score,movie_director=$data.movie_director,movie_tags=$data.movie_tags,movie_length=$data.movie_length,movie_release_date=$data.movie_release_date,film_type=$data.film_type,movie_picture=$data.movie_picture,$out='';$out+='<div class="detail">\n        <div class="description-ext">\n            <div>\n                <span>评分：</span>\n                <span id="score" class="rating-text">';
$out+=$escape(movie_score);
$out+='分</span>\n            </div>\n            <div>\n                <span>导演：</span>\n                <span id="director" class="description">';
$out+=$escape(movie_director);
$out+='</span>\n            </div>\n            <div>\n                <span>类型：</span>\n                <span id="tags" class="description">';
$out+=$escape(movie_tags);
$out+='</span>\n            </div>\n            <div>\n                <span>片长：</span>\n                <span id="lengths" class="description">';
$out+=$escape(movie_length);
$out+='</span>\n            </div>\n            <div>\n                <span>上映时间：</span>\n                <span id="screentime" class="description descplus">';
$out+=$escape(movie_release_date);
$out+='</span>\n            </div>\n            ';
if (film_type){
$out+='\n                <div id="movieType" class="movieType">';
$out+=$escape(film_type);
$out+='</div>\n            ';
}
$out+='\n        </div>\n        <img id="poster" src="';
$out+=$escape(movie_picture);
$out+='" alt="">\n    </div>';
return new String($out);
},
filmIntroPanel:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$escape=$helpers.$escape,movie_message=$data.movie_message,movie_description=$data.movie_description,$out='';$out+='<div class="content">\n        <div class="con-head">剧情介绍</div>\n        <div class="seepoint_container" id="seepoint">\n            <div class="seepoint"></div>\n            <div class="mess" id="mess">';
$out+=$escape(movie_message);
$out+='</div>\n        </div>\n        <div id="nostory"class="con-story" data-ek="showFilm">\n            <p id="story" class="story">';
$out+=$escape(movie_description);
$out+='</p>\n            <span id="story-arrow" class="arrow-down"></span>\n        </div>\n    </div>';
return new String($out);
},
commentPanel:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$out='';$out+='<div class="content">\n        <div class="con-head">热门影评</div>\n        <dl id="comment" class="comment"></dl>\n        <div id="getMore" class="con-foot" data-ek="loadMore">\n            查看更多<span></span>\n        </div>\n    </div>';
return new String($out);
},
commentItem:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,i=$data.i,n=$data.n,comments=$data.comments,$escape=$helpers.$escape,$out='';for (var i = 0, n = comments.length; i < n; i++ ){ 
$out+='\n        <dt>';
$out+=$escape(comments[i].comment_time.split(' ')[0]);
$out+='</dt>\n        <dd>';
$out+=$escape(comments[i].comment);
$out+='</dd>\n    ';
}
return new String($out);
}});